#ifndef _Tourneyfield_h
#define _Tourneyfield_h
/* tourneyfield widget, my own widget similar to osf motif drawingarea
 * W. van Ham Oktober 2001*/
/***********************************************************************
 * Resources:                                                          *
 * NAME              CLASS             TYPE        DEFAULT             *
 * background        BackGround        Pixel       XtDefaultBackground *
 * border            BorderColor       Pixel       XtDefaultForeground *
 * borderWidth       BorderWidth       Dimension   0                   *
 * destroyCallback   Callback          pointer     NULL                *
 * exposeCallback    Callback          Callback    NULL                * new
 * inputCallback     Callback          Callback    NULL                * new
 * resizeCallback    Callback          Callback    NULL                * new
 * mappedWhenManaged MappedWhenManaged Boolean     True                *
 * sensitive         Sensitive         Boolean     True                *
 * width             Width             Dimension   0                   *
 * height            Height            Dimension   0                   * 
 * x                 Position          Position    0                   *
 * y                 Position          Position    0                   *
 ***********************************************************************/
#define XtNtourneyfieldResource "TourneyfieldResource"
#define XtCTourneyfieldResource "TourneyfieldResource"
typedef struct _TourneyfieldClassRec* TourneyfieldWidgetClass;
typedef struct _TourneyfieldRec*      TourneyfieldWidget;
extern WidgetClass tourneyfieldWidgetClass;

#define XtNexposeCallback "exposeCallBack"
#define XtNinputCallback "inputCallBack"
#define XtNresizeCallback "resizeCallBack"


#endif /* _Tourneyfield_h */
