/* tourneyfield widget Oktober 2001 W. van Ham */
#ifndef _TourneyfieldP_h
#define _TourneyfieldP_h
#include "Tourneyfield.h"
#include  <X11/CoreP.h>

#define XtRTourneyfieldResource "TourneyfieldResource"
typedef struct{
	int empty;
} TourneyfieldClassPart;

typedef struct _TourneyfieldClassRec{
	CoreClassPart core_class;
	TourneyfieldClassPart tourneyfield_class;
} TourneyfieldClassRec;

extern TourneyfieldClassRec tourneyfieldClassRec;

typedef struct {
	/* resources */
	char* resource;
	XtCallbackList expose_callback;
	XtCallbackList input_callback;
	XtCallbackList resize_callback;
	/* private state */
	/* (none) */
} TourneyfieldPart;

typedef struct _TourneyfieldRec {
	CorePart core;
	TourneyfieldPart tourneyfield;
} TourneyfieldRec;
#endif /* _TourneyfieldP_h */
